## org.jfree.data
Class XYSeriesCollection

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.AbstractIntervalXYDataset
                      org.jfree.data.XYSeriesCollection

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, DomainInfo, java.util.EventListener, IntervalXYDataset, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset

public class XYSeriesCollection
extends AbstractIntervalXYDataset
implements IntervalXYDataset, DomainInfo, java.io.Serializable

Represents a collection of `XYSeries` objects that can be used as a dataset.

See Also:
  Serialized Form

Constructor Summary
`XYSeriesCollection()` Constructs an empty dataset.
`XYSeriesCollection(XYSeries series)` Constructs a dataset and populates it with a single time series.

Method Summary
`void` `addSeries(XYSeries series)` Adds a series to the collection and sends a `DatasetChangeEvent` to all registered listeners.
`boolean` `equals(java.lang.Object obj)` Tests this collection for equality with an arbitrary object.
`Range` `getDomainRange()` Returns the range of the dataset on the domain.
`java.lang.Number` `getEndXValue(int series, int item)` Returns the ending X value for the specified series and item.
`java.lang.Number` `getEndYValue(int series, int item)` Returns the ending Y value for the specified series and item.
`double` `getIntervalPositionFactor()` Returns the interval position factor.
`double` `getIntervalWidth()` Returns the interval width.
`int` `getItemCount(int series)` Returns the number of items in the specified series.
`java.lang.Number` `getMaximumDomainValue()` Returns the maximum value of the dataset on the domain.
`java.lang.Number` `getMinimumDomainValue()` Returns the minimum value of the dataset on the domain.
`java.util.List` `getSeries()` Returns a list of all the series in the collection.
`XYSeries` `getSeries(int series)` Returns a series.
`int` `getSeriesCount()` Returns the number of series in the collection.
`java.lang.String` `getSeriesName(int series)` Returns the name of a series.
`java.lang.Number` `getStartXValue(int series, int item)` Returns the starting X value for the specified series and item.
`java.lang.Number` `getStartYValue(int series, int item)` Returns the starting Y value for the specified series and item.
`java.lang.Number` `getXValue(int series, int item)` Returns the x-value for the specified series and item.
`java.lang.Number` `getYValue(int series, int index)` Returns the y-value for the specified series and item.
`int` `hashCode()` Returns a hash code.
`boolean` `isAutoWidth()` Returns wether the interval width is automatically calculated or not.
`void` `removeAllSeries()` Removes all the series from the collection.
`void` `removeSeries(int series)` Removes a series from the collection.
`void` `removeSeries(XYSeries series)` Removes a series from the collection.
`void` `setAutoWidth(boolean b)` Sets the flag that indicates wether the interval width is automatically calculated or not.
`void` `setIntervalPositionFactor(double factor)` Sets the interval position factor.
`void` `setIntervalWidth(double width)` Sets the interval width.

Methods inherited from class org.jfree.data.AbstractIntervalXYDataset
`getEndX, getEndY, getStartX, getStartY`

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.IntervalXYDataset
`getEndX, getEndY, getStartX, getStartY`

Methods inherited from interface org.jfree.data.XYDataset
`getX, getY`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### XYSeriesCollection

    public XYSeriesCollection()

  Constructs an empty dataset.

### XYSeriesCollection

    public XYSeriesCollection(XYSeries series)

  Constructs a dataset and populates it with a single time series.

Parameters:
  `series` - the time series (`null` ignored).

Method Detail

### getIntervalWidth

    public double getIntervalWidth()

  Returns the interval width. This is used to calculate the start and end x-values, if they are used.

  Returns:
    The interval width.

### setIntervalWidth

    public void setIntervalWidth(double width)

  Sets the interval width.

  Parameters:
    `width` - the width.

### getIntervalPositionFactor

    public double getIntervalPositionFactor()

  Returns the interval position factor.

  Returns:
    The interval position factor.

### setIntervalPositionFactor

    public void setIntervalPositionFactor(double factor)

  Sets the interval position factor. This controls where the x-value is in relation to the interval surrounding the x-value (0.0 means the x-value will be positioned at the start, 0.5 in the middle, and 1.0 at the end).

  Parameters:
    `factor` - the factor.

### isAutoWidth

    public boolean isAutoWidth()

  Returns wether the interval width is automatically calculated or not.

  Returns:
    wether the width is automatically calcualted or not.

### setAutoWidth

    public void setAutoWidth(boolean b)

  Sets the flag that indicates wether the interval width is automatically calculated or not.

  Parameters:
    `b` - a boolean.

### addSeries

    public void addSeries(XYSeries series)

  Adds a series to the collection and sends a `DatasetChangeEvent` to all registered listeners.

  Parameters:
    `series` - the series (`null` not permitted).

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the collection.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    The series count.

### getSeries

    public java.util.List getSeries()

  Returns a list of all the series in the collection.

  Returns:
    The list (which is unmodifiable).

### getSeries

    public XYSeries getSeries(int series)

  Returns a series.

  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The series.

### getSeriesName

    public java.lang.String getSeriesName(int series)

  Returns the name of a series.

  Specified by:
    `getSeriesName` in interface `SeriesDataset`
  Specified by:
    `getSeriesName` in class `AbstractSeriesDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    the name of a series.

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in the specified series.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    the number of items in the specified series.

### getXValue

    public java.lang.Number getXValue(int series,
                                      int item)

  Returns the x-value for the specified series and item.

  Specified by:
    `getXValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    the x-value for the specified series and item.

### getStartXValue

    public java.lang.Number getStartXValue(int series,
                                           int item)

  Returns the starting X value for the specified series and item.

  Specified by:
    `getStartXValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The starting X value.

### getEndXValue

    public java.lang.Number getEndXValue(int series,
                                         int item)

  Returns the ending X value for the specified series and item.

  Specified by:
    `getEndXValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The ending X value.

### getYValue

    public java.lang.Number getYValue(int series,
                                      int index)

  Returns the y-value for the specified series and item.

  Specified by:
    `getYValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `index` - the index of the item of interest (zero-based).
  Returns:
    the y-value for the specified series and item.

### getStartYValue

    public java.lang.Number getStartYValue(int series,
                                           int item)

  Returns the starting Y value for the specified series and item.

  Specified by:
    `getStartYValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The starting Y value.

### getEndYValue

    public java.lang.Number getEndYValue(int series,
                                         int item)

  Returns the ending Y value for the specified series and item.

  Specified by:
    `getEndYValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The ending Y value.

### removeAllSeries

    public void removeAllSeries()

  Removes all the series from the collection.

  Notifies all registered listeners that the dataset has changed.

### removeSeries

    public void removeSeries(XYSeries series)

  Removes a series from the collection.

  Notifies all registered listeners that the dataset has changed.

  Parameters:
    `series` - the series.

### removeSeries

    public void removeSeries(int series)

  Removes a series from the collection.

  Notifies all registered listeners that the dataset has changed.

  Parameters:
    `series` - the series (zero based index).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this collection for equality with an arbitrary object.

  Parameters:
    `obj` - the object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code.

  Returns:
    a hash code.

### getDomainRange

    public Range getDomainRange()

  Returns the range of the dataset on the domain.

  Specified by:
    `getDomainRange` in interface `DomainInfo`
  Returns:
    the range of the domain.

### getMaximumDomainValue

    public java.lang.Number getMaximumDomainValue()

  Returns the maximum value of the dataset on the domain.

  Specified by:
    `getMaximumDomainValue` in interface `DomainInfo`
  Returns:
    the maxiumum value on the domain.

### getMinimumDomainValue

    public java.lang.Number getMinimumDomainValue()

  Returns the minimum value of the dataset on the domain.

  Specified by:
    `getMinimumDomainValue` in interface `DomainInfo`
  Returns:
    the minimum value on the domain.